import { Schema, SchemaFactory } from '@nestjs/mongoose';
import { Address as IAddress } from '../../domain/address';

@Schema()
export class Address implements IAddress {
  cep: string;
  nomeRua: string;
  numeroCasa: string;
  complemento?: string;
  bairro?: string;
  cidade: string;
  estado?: string;
}

export const AddressSchema = SchemaFactory.createForClass(Address);
